Subject: [lojban] Re: Mark on wiki on lerfu

From: And Rosta <[email-masked]>
Date: Mon, 10 Sep 2001 16:28:22 +0100

#>>> <[email-masked]> 09/09/01 03:44am >>>
#> > Actually, there's lots more: last, lasp, lask, lact, latc, laks,
#> > lank, lart, and so on are all single-syllable too.
#
#All unnecessary, with lerfu.

But lerfu need this boi thingo.

#Moreover, while I suppose you CAN do this sort of thing, it's sort 
#of cheating, in the opposite direction of what I was talking about, 
#using {mark.bu} instead of {la mark.} "lank" (or rather "la nk.") 
#is "something named nk." Well, then, it should be something with 
that name! To be sure, the speaker, as te cmene, has the right to 
#name anything whatever he likes, but this abuse of that power.  

I don't see why it is an abuse to give things arbitrary names for
reference-tracking purposes.

#And since "goi" is symmetric, with only relative unassignedness to show 
#which side gets overwritten by the other, using a *named thing* on 
#one side might upset that balance. ("wait, he's saying that the 
#woman is really this NK person? Maybe NK isn't a woman but he wants 
#to call it that?) Anyway, that's what variables are for, not names.

According to the Book, {goi} is symmetric, but this is a Bad Thing,
firstly because is then utterly redundant with no'u, and secondly
because it creates harmful ambiguities as to which sumti is
referential and which assigned. The case for asymmetric {goi}
is overwhelming.

So my preference would be to use the la(i)+C as assignable
mnemonics and lerfu as unassgined mnemonics that work on
the initial-letter principle.

#> Gringe. Can someone remind me of the point of this, please. Why would we 
#> want all these horrors, assigned or not? The maximum effective anaphorais 
#> going to contain maybe half-a-dozen connections tops; beyond that we cannot 
#> either remember or calculate the reference, whence the slogan "Repetition is 
#> also anaphora." It is nice to ahve all these tools available for choices, 
#> but we do not need them to do the work (we don't even need the fo'V set, 
#> rpobably, as witness there heavy use so far.)
#
#Well, I think I'd argue that given the heavier mnemonicity of 
#lerfu-based anaphora, we can probably go over that half-dozen limit 
#pretty safely. If you have a bunch of people/things with unique 
#one- or two-letter initials that you bind, it's not too hard to keep 
#track of them. Another example of how lerfu-variables rule and 
#ko'a, um, doesn't. (fo'[aei] are the only ones that DO have an 
#excuse to still be used: they have rafsi)

And even if there is a low upper limit on how many assigned
anaphors we can handle concurrently, it might be less confusing
if assigned anaphors are recycled less. And, in response to pc's,
question, the only robust alternative to using subscripted no'a
is to use assignable anaphors, so if you want to be handling
multiple referents concurrently and not relying on glorking,
then you probably can't escape using assignables.

--And.